## haskell-svgcairo 0.12.0

=== demo/Makefile ===

PROGS  = svg2png svgviewer
SOURCES = Svg2Png.hs SvgViewer.hs

all : $(PROGS)

svg2png : Svg2Png.hs
	$(HC_RULE)

svgviewer : SvgViewer.hs
	$(HC_RULE)

HC_RULE = $(HC) --make $< -o $@ $(HCFLAGS)

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROGS)
	rm -f *.png

HC=ghc

## haskell-svgcairo 0.11.1

=== debian/changelog ===
haskell-svgcairo (0.11.1-1build1) natty; urgency=low

  * No-change rebuild for library ABI change.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 29 Jan 2011 14:34:47 +0100

haskell-svgcairo (0.11.1-1) unstable; urgency=low

  * Update to released version, add watch file 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 31 Jul 2010 16:47:15 +0200

haskell-svgcairo (0.11.0+darcs20100531-2) unstable; urgency=low

  * control: Remove -prof package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 08 Jun 2010 20:16:38 -0300

haskell-svgcairo (0.11.0+darcs20100531-1) unstable; urgency=low

  * Initial release.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Mon, 31 May 2010 09:07:23 -0300

=== debian/control ===
Source: haskell-svgcairo
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
#  , ghc6-prof
  , libghc6-mtl-dev
#  , libghc6-mtl-prof
  , libghc6-glib-dev (>= 0.11)
  , libghc6-glib-dev (<< 0.12)
#  , libghc6-glib-prof
  , libghc6-cairo-dev (>= 0.11)
  , libghc6-cairo-dev (<< 0.12)
#  , libghc6-cairo-prof
  , gtk2hs-buildtools
  , librsvg2-dev
Build-Depends-Indep: ghc6-doc
  , libghc6-mtl-doc
  , libghc6-glib-doc
  , libghc6-cairo-doc
Standards-Version: 3.9.1
Homepage: http://hackage.haskell.org/package/svgcairo
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-svgcairo
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-svgcairo

Package: libghc6-svgcairo-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , librsvg2-dev
Recommends: ${haskell:Recommends}
Suggests: svgcairo, ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the libsvg-cairo library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Svgcairo is used to render SVG with cairo.

# Package: libghc6-svgcairo-prof
# Architecture: any
# Depends: ${haskell:Depends}
#   , ${misc:Depends}
# Recommends: ${haskell:Recommends}
# Suggests: ${haskell:Suggests}
# Provides: ${haskell:Provides}
# Description: Binding to the libsvg-cairo library; profiling libraries
#  This package provides a library for the Haskell programming language,
#  compiled for profiling.
#  See http://www.haskell.org/ for more information on Haskell.
#  .
#  Svgcairo is used to render SVG with cairo.

Package: libghc6-svgcairo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the libsvg-cairo library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 Svgcairo is used to render SVG with cairo.

## haskell-svgcairo 0.12.0

=== debian/changelog ===
haskell-svgcairo (0.12.0-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Nov 2011 20:51:29 +0000

haskell-svgcairo (0.12.0-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@debian.org>  Thu, 09 Jun 2011 09:22:19 +0100

haskell-svgcairo (0.12.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Re-enable -prof package 
  * Remove preinst script, not require with clean ghc-pkg database

 -- Joachim Breitner <nomeata@debian.org>  Wed, 30 Mar 2011 09:57:53 +0530

## haskell-svgcairo 0.12.1

=== debian/changelog ===
haskell-svgcairo (0.12.1-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:46 +0200

haskell-svgcairo (0.12.1-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:09 +0200

haskell-svgcairo (0.12.1-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:26:15 +0200

haskell-svgcairo (0.12.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 23:20:58 +0100

=== debian/control ===
Source: haskell-svgcairo
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-cairo-dev (>= 0.12)
  , libghc-cairo-dev (<< 0.13)
  , libghc-cairo-prof
  , gtk2hs-buildtools
  , librsvg2-dev
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-cairo-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/svgcairo
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-svgcairo
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-svgcairo

Package: libghc-svgcairo-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , librsvg2-dev
Recommends: ${haskell:Recommends}
Suggests: svgcairo, ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the libsvg-cairo library${haskell:ShortBlurb}
 Svgcairo is used to render SVG with cairo.
 .
 ${haskell:Blurb}

Package: libghc-svgcairo-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the libsvg-cairo library${haskell:ShortBlurb}
 Svgcairo is used to render SVG with cairo.
 .
 ${haskell:Blurb}

Package: libghc-svgcairo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the libsvg-cairo library${haskell:ShortBlurb}
 Svgcairo is used to render SVG with cairo.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|svgcairo-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/svgcairo \
    ([\d\.]*\d)/

## haskell-svgcairo 0.13.0.0

=== debian/changelog ===
haskell-svgcairo (0.13.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:53:52 +0200

haskell-svgcairo (0.13.0.0-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
   , libghc-mtl-dev
   , libghc-mtl-prof
-  , libghc-glib-dev (>= 0.12)
-  , libghc-glib-dev (<< 0.13)
+  , libghc-glib-dev (>= 0.13)
+  , libghc-glib-dev (<< 0.14)
   , libghc-glib-prof
-  , libghc-cairo-dev (>= 0.12)
-  , libghc-cairo-dev (<< 0.13)
+  , libghc-cairo-dev (>= 0.13)
+  , libghc-cairo-dev (<< 0.14)
   , libghc-cairo-prof
-  , gtk2hs-buildtools
+  , gtk2hs-buildtools (>= 0.13.0.3)
   , librsvg2-dev
 Build-Depends-Indep: ghc-doc
   , libghc-mtl-doc

=== debian/watch ===
version=3
http://hackage.haskell.org/package/svgcairo/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
